## freeciv 2.6.0

=== win32/installer/Makefile ===
#
# Makefile for Freeciv Windows installer creation
#
# Usage:
#
# 1. download and extract the MinGW build environment from
#    https://sourceforge.net/projects/freeciv/files/dependencies/gnuwin32/
#    Current version is gnuwin32-2018-05-11.
# 2. double click on "gnuwin32/msys.bat"
# 3. install the development packages:
#    $ hg qpush -a
# 4. close current session and restart msys.bat. This is required
#    for PATH to be set correctly after development packages
#    installation.
# 5. change into the Freeciv directory where this Makefile resides
#    $ cd <path_to_freeciv_source>/win32/installer
# 6. run make
#    $ make
# 7. find the installer executables in the 'Output' directory
#

#
# Variable setup
#

ifeq ($(MIN_WIN_VER),)
MIN_WIN_VER=0x0600
endif

#
# Make rules
#


# by default build all installers
all: gtk3-installer gtk2-installer sdl2-installer sdl-installer qt-installer ruledit-installer

gtk3-installer:
	make GUI=gtk3 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk3

gtk2-installer:
	make GUI=gtk2 FCMP=gtk2 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk2

sdl2-installer:
	make GUI=sdl2 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-sdl2

sdl-installer:
	make GUI=sdl FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit --enable-sdl-mixer=sdl1.2 $(EXTRA_CONFIG)" wrap-sdl

qt-installer:
	make GUI=qt FCMP=qt wrap-qt

ruledit-installer:
	make wrap-ruledit

snapshot:
	cd ../.. ; ./autogen.sh --no-configure-run
	make VERSION_REVTYPE="git" EXTRA_CONFIG="--enable-gitrev" all


# build Freeciv

build-freeciv-common:
	# create build directory
	mkdir -p build-$(GUI)
	# configure
	cd build-$(GUI); ../../../configure CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --enable-client=$(GUI) --with-followtag="win32" --enable-fcdb=sqlite3 --enable-fcmp=$(FCMP) $(EXTRA_CONFIG)
	# make
	make -C build-$(GUI)
	make -C build-$(GUI)/translations/freeciv update-po
	make -C build-$(GUI)/bootstrap langstat_freeciv.txt

build-freeciv-ruledit:
	# create build directory
	mkdir -p build-ruledit
	# configure
	cd build-ruledit; ../../../configure CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --disable-client --disable-server --disable-fcmp --disable-freeciv-manual --enable-ruledit $(EXTRA_CONFIG)
	# make
	make -C build-ruledit
	make -C build-ruledit/translations/ruledit update-po
	make -C build-ruledit/bootstrap langstat_ruledit.txt

build-freeciv-gtk3: build-freeciv-common

build-freeciv-gtk2: build-freeciv-common

build-freeciv-sdl2: build-freeciv-common

build-freeciv-sdl: build-freeciv-common

build-freeciv-qt: build-freeciv-common

# install Freeciv

install-freeciv-common:
	# make install
	make -C build-$(GUI) DESTDIR=`pwd`/install-$(GUI) install
	# reorder directory layout
	mv install-$(GUI)/usr/local/bin/* install-$(GUI)/
	mv install-$(GUI)/usr/local/etc install-$(GUI)/
	mv install-$(GUI)/usr/local/share/freeciv install-$(GUI)/data
	mkdir -p install-$(GUI)/share
	mv install-$(GUI)/usr/local/share/locale install-$(GUI)/share/
	mv install-$(GUI)/usr/local/share/doc install-$(GUI)/doc
	mkdir -p install-$(GUI)/debuginfo
	cp build-$(GUI)/gen_headers/fc_config.h install-$(GUI)/debuginfo
	mkdir -p install-$(GUI)/doc/freeciv/installer
	cp licenses/COPYING.installer install-$(GUI)/doc/freeciv/installer/
	# delete unneeded files
	rm -r install-$(GUI)/usr
	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
	strip install-$(GUI)/freeciv-m*
	# add start menu files
	cp freeciv-server.cmd freeciv-mp-$(FCMP).cmd freeciv-$(GUI).cmd Freeciv.url install-$(GUI)/

install-freeciv-gtk3: install-freeciv-common

install-freeciv-gtk2: install-freeciv-common

install-freeciv-sdl2: install-freeciv-common
	# add CJK fonts
	cp /opt/fireflysung-1.3.0/fireflysung.ttf install-sdl2/data/themes/gui-sdl2/human/
	cp /opt/fireflysung-1.3.0/COPYRIGHT install-sdl2/data/themes/gui-sdl2/human/COPYING.fireflysung
	cp /opt/sazanami-20040629/sazanami-gothic.ttf install-sdl2/data/themes/gui-sdl2/human/
	cp /opt/sazanami-20040629/README install-sdl2/data/themes/gui-sdl2/human/COPYING.sazanami
	cp /opt/un-fonts/UnDotum.ttf install-sdl2/data/themes/gui-sdl2/human/
	cp /opt/un-fonts/COPYING install-sdl2/data/themes/gui-sdl2/human/COPYING.UnDotum

install-freeciv-sdl: install-freeciv-common
	# add CJK fonts
	cp /opt/fireflysung-1.3.0/fireflysung.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/fireflysung-1.3.0/COPYRIGHT install-sdl/data/themes/gui-sdl/human/COPYING.fireflysung
	cp /opt/sazanami-20040629/sazanami-gothic.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/sazanami-20040629/README install-sdl/data/themes/gui-sdl/human/COPYING.sazanami
	cp /opt/un-fonts/UnDotum.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/un-fonts/COPYING install-sdl/data/themes/gui-sdl/human/COPYING.UnDotum

install-freeciv-qt: install-freeciv-common
	# strip 'freeciv-ruledit' executable
	strip install-$(GUI)/freeciv-ruledit.exe
	cp freeciv-ruledit.cmd install-$(GUI)/

install-ruledit-dir:
	mkdir -p install-ruledit/share

install-ruledit: install-ruledit-dir
	# make install
	make -C build-ruledit DESTDIR=`pwd`/install-ruledit install
	# reorder directory layout
	mv install-ruledit/usr/local/bin/* install-ruledit/
	mv install-ruledit/usr/local/share/freeciv install-ruledit/data
	mv install-ruledit/usr/local/share/locale install-ruledit/share/
	mv install-ruledit/usr/local/share/doc install-ruledit/doc
	mkdir -p install-ruledit/debuginfo
	cp build-ruledit/gen_headers/fc_config.h install-ruledit/debuginfo
	mkdir -p install-ruledit/doc/freeciv/installer
	cp licenses/COPYING.installer install-ruledit/doc/freeciv/installer/
	# delete unneeded files
	rm -r install-ruledit/usr
	# strip 'freeciv-ruledit' executable
	strip install-ruledit/freeciv-ruledit.exe
	# add start menu files
	cp freeciv-ruledit.cmd Freeciv.url install-ruledit/

# install Freeciv environment

COMMON_DLLS := \
	exchndl.dll \
	freetype6.dll \
	intl.dll \
	libMagickCore-6.Q16-1.dll \
	libMagickWand-6.Q16-1.dll \
	libatk-1.0-0.dll \
	libbz2-2.dll \
	libcurl.dll \
	libcairo-2.dll \
	libcairo-gobject-2.dll \
	libeay32.dll \
	libffi-6.dll \
	libfontconfig-1.dll \
	libfreetype-6.dll \
	libgcc_s_dw2-1.dll \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libglib-2.0-0.dll \
	libgmodule-2.0-0.dll \
	libgobject-2.0-0.dll \
	libgthread-2.0-0.dll \
	libiconv-2.dll \
	libidn-11.dll \
	libintl-8.dll \
	liblzma-5.dll \
	libogg-0.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libpixman-1-0.dll \
	libpng14-14.dll \
	libpng15-15.dll \
	libpthread-2.dll \
	libsqlite3-0.dll \
	libvorbis-0.dll \
	libvorbisfile-3.dll \
	libxml2-2.dll \
	mgwhelp.dll \
	pthreadGC2.dll \
	ssleay32.dll \
	zlib1.dll

install-env-common:
	# add DLLs
	cp -R $(addprefix /bin/, $(COMMON_DLLS)) install-$(GUI)

DEFAULT_FCMP_DLLS := \
	libgdk-3-0.dll \
	libgtk-3-0.dll

install-env-default-fcmp: install-env-common
	cp -R $(addprefix /bin/, $(DEFAULT_FCMP_DLLS)) install-$(GUI)
	# add additional GTK+3 files
	mkdir -p install-$(GUI)/etc
	cp -R /etc/gtk-3.0 install-$(GUI)/etc/
	mkdir -p install-$(GUI)/lib/gtk-3.0/
	cp -R /lib/gtk-3.0/3.0.0 install-$(GUI)/lib/gtk-3.0/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk30.mo -delete

GTK3_DLLS := \
	SDL2.dll \
	SDL2_mixer.dll

install-env-gtk3: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix /bin/, $(GTK3_DLLS)) install-$(GUI)
	mkdir -p install-$(GUI)/share/glib-2.0/schemas
	cp /share/glib-2.0/schemas/gschemas.compiled install-$(GUI)/share/glib-2.0/schemas/

GTK2_DLLS := \
	libgdk-win32-2.0-0.dll \
	libgtk-win32-2.0-0.dll \
	SDL2.dll \
	SDL2_mixer.dll

install-env-gtk2: install-env-common
	# add DLLs
	cp -R $(addprefix /bin/, $(GTK2_DLLS)) install-$(GUI)
	# add additional GTK+2 files
	mkdir -p install-$(GUI)/etc
	cp -R /etc/gtk-2.0 install-$(GUI)/etc/
	mkdir -p install-$(GUI)/lib/gtk-2.0/
	cp -R /lib/gtk-2.0/2.10.0 install-$(GUI)/lib/gtk-2.0/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk20.mo -delete

SDL2_DLLS := \
	libpng16-16.dll \
	libSDL2_gfx-1-0-0.dll \
	SDL2.dll \
	SDL2_mixer.dll \
	SDL2_image.dll \
	SDL2_ttf.dll

install-env-sdl2: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix /bin/, $(SDL2_DLLS)) install-$(GUI)

SDL_DLLS := \
	libpng12-0.dll \
	libSDL_gfx-15.dll \
	SDL.dll \
	SDL_mixer.dll \
	SDL_image.dll \
	SDL_ttf.dll

install-env-sdl: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix /bin/, $(SDL_DLLS)) install-$(GUI)

QT_DLLS := \
	libstdc++-6.dll \
	Qt5Core.dll \
	Qt5Gui.dll \
	Qt5Widgets.dll \
	SDL2.dll \
	SDL2_mixer.dll

install-env-qt: install-env-common
	# add DLLs
	cp -R $(addprefix /bin/, $(QT_DLLS)) install-$(GUI)
	# add additional Qt files
	cp -R /plugins install-$(GUI)/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -delete

install-env-ruledit:
	# add DLLs
	cp -R $(addprefix /bin/, $(COMMON_DLLS)) install-ruledit
	cp -R $(addprefix /bin/, $(QT_DLLS)) install-ruledit
	# add additional Qt files
	cp -R /plugins install-ruledit/
	cp -R /share/locale install-ruledit/share/
	find install-ruledit/share/locale -type f -not -name "freeciv-ruledit.mo" -delete

# build installer

installer-common: clean-install-common install-freeciv-$(GUI) install-env-$(GUI)
	# extract Freeciv version
	$(eval FREECIV_VERSION := $(shell ../../fc_version))
	# create NSIS script
	./create-freeciv-$(GUI)-nsi.sh install-$(GUI) $(FREECIV_VERSION) > Freeciv-$(FREECIV_VERSION)-$(GUI).nsi
	# create installer executable
	mkdir -p Output
	makensis Freeciv-$(FREECIV_VERSION)-$(GUI).nsi

installer-ruledit: clean-install-ruledit install-ruledit install-env-ruledit
	# extract Freeciv version
	$(eval FREECIV_VERSION := $(shell ../../fc_version))
	# create NSIS script
	./create-freeciv-ruledit-nsi.sh install-ruledit $(FREECIV_VERSION) > Freeciv-$(FREECIV_VERSION)-ruledit.nsi
	# create installer executable
	mkdir -p Output
	makensis Freeciv-$(FREECIV_VERSION)-ruledit.nsi

wrap-gtk3: build-freeciv-gtk3 installer-common

wrap-gtk2: build-freeciv-gtk2 installer-common

wrap-sdl2: build-freeciv-sdl2 installer-common

wrap-sdl: build-freeciv-sdl installer-common

wrap-qt: build-freeciv-qt installer-common

wrap-ruledit: build-freeciv-ruledit installer-ruledit


# cleanup

clean-build-common:
	rm -rf build-$(GUI)

clean-build-ruledit:
	rm -rf build-ruledit

clean-install-common:
	rm -rf install-$(GUI)
	./cleanup_checkout.sh ../..

clean-install-ruledit:
	rm -rf install-ruledit
	./cleanup_checkout.sh ../..

clean-installer-common:
	rm -f Output/Freeciv-*-$(GUI)-setup.exe
	rm -f Freeciv-*-$(GUI).nsi

clean-installer-ruledit:
	rm -f Output/Freeciv-ruledit-*-setup.exe
	rm -f Freeciv-*-ruledit.nsi

clean:
	make GUI=gtk3 clean-build-common clean-install-common clean-installer-common
	make GUI=gtk2 clean-build-common clean-install-common clean-installer-common
	make GUI=sdl2 clean-build-common clean-install-common clean-installer-common
	make GUI=sdl clean-build-common clean-install-common clean-installer-common
	make GUI=qt clean-build-common clean-install-common clean-installer-common
	make clean-build-ruledit clean-install-ruledit clean-installer-ruledit

=== win32/installer_msys2/Makefile ===
#
# Makefile for Freeciv Windows installer creation
#
# See doc/README.msys2 for building instructions.
#

#
# Variable setup
#

WINARCH=$(shell ./win_arch.sh)

ifeq ($(WINARCH),win64)
ARCHDIR=mingw64
LIBGCCDLL=libgcc_s_seh-1.dll
GCCDLL=gcc_s-seh-1.dll
else
ARCHDIR=mingw32
LIBGCCDLL=libgcc_s_dw2-1.dll
GCCDLL=gcc_s-1.dll
endif

ifeq ($(MIN_WIN_VER),)
MIN_WIN_VER=0x0601
endif

INSTSUB=${ARCHDIR}

# msys2 has dlls in...
DLLPATH_PREFIX=/$(ARCHDIR)/bin/

#
# Make rules
#

# by default build all installers that are buildable with current msys2 environment
# gtk2-installer is not built.
all: gtk3-installer sdl2-installer ruledit-installer qt-installer gtk3.22-installer

# These are what can be built in current official environment version
buildable-win32: gtk3-installer sdl2-installer ruledit-installer qt-installer gtk3.22-installer

buildable-win64: gtk3-installer sdl2-installer ruledit-installer qt-installer gtk3.22-installer

# See comments on 'snapshot' target why this wrapping is needed
buildable: buildable-$(WINARCH)

gtk3-installer:
	make GUI=gtk3 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk3

gtk3.22-installer:
	make GUI=gtk3.22 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk3

gtk2-installer:
	make GUI=gtk2 FCMP=gtk2 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk2

sdl2-installer:
	make GUI=sdl2 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-sdl2

qt-installer:
	make GUI=qt FCMP=qt EXTRA_CONFIG="--with-qt5-includes=/$(ARCHDIR)/include --with-qt5-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)" wrap-qt

ruledit-installer:
	make wrap-ruledit

# Autogen.sh here will make ./win_arch.sh to work.
# The $(WINACRH) value we got for this run is not good. The new run
# launched from this target will pick correct value, and can make 'buildable' target
# to depend on correct arch version.
snapshot:
	cd ../.. ; ./autogen.sh --no-configure-run
	make VERSION_REVTYPE="git" EXTRA_CONFIG="--enable-gitrev" buildable


# build Freeciv

build-freeciv-common:
	# create build directory
	mkdir -p build-$(WINARCH)-$(GUI)
	# configure
	cd build-$(WINARCH)-$(GUI); ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --enable-client=$(GUI) --with-followtag="win32" --without-readline --enable-fcdb=sqlite3 --with-sqlite3-prefix=/$(ARCHDIR) --enable-fcmp=$(FCMP) $(EXTRA_CONFIG)
	# make
	make -C build-$(WINARCH)-$(GUI) $(MAKE_PARAMS)
	make -C build-$(WINARCH)-$(GUI)/translations/freeciv update-po
	make -C build-$(WINARCH)-$(GUI)/bootstrap langstat_freeciv.txt

build-freeciv-ruledit:
	# create build directory
	mkdir -p build-$(WINARCH)-ruledit
	# configure
	cd build-$(WINARCH)-ruledit; ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --disable-client --disable-server --disable-fcmp --disable-freeciv-manual --enable-ruledit --with-qt5-includes=/$(ARCHDIR)/include --with-qt5-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)
	# make
	make -C build-$(WINARCH)-ruledit $(MAKE_PARAMS)
	make -C build-$(WINARCH)-ruledit/translations/ruledit update-po
	make -C build-$(WINARCH)-ruledit/bootstrap langstat_ruledit.txt

build-freeciv-gtk3: build-freeciv-common

build-freeciv-gtk2: build-freeciv-common

build-freeciv-sdl2: build-freeciv-common

build-freeciv-qt: build-freeciv-common

# install Freeciv

install-freeciv-common:
	# make install
	make -C build-$(WINARCH)-$(GUI) DESTDIR=`pwd`/install-$(WINARCH)-$(GUI) $(MAKE_PARAMS) install
	# reorder directory layout
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/bin/* install-$(WINARCH)-$(GUI)/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/etc install-$(WINARCH)-$(GUI)/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/freeciv install-$(WINARCH)-$(GUI)/data
	mkdir -p install-$(WINARCH)-$(GUI)/share
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/locale install-$(WINARCH)-$(GUI)/share/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/doc install-$(WINARCH)-$(GUI)/doc
	mkdir -p install-$(WINARCH)-$(GUI)/debuginfo
	cp build-$(WINARCH)-$(GUI)/gen_headers/fc_config.h install-$(WINARCH)-$(GUI)/debuginfo
	mkdir -p install-$(WINARCH)-$(GUI)/doc/freeciv/installer
	cp licenses/COPYING.installer install-$(WINARCH)-$(GUI)/doc/freeciv/installer/
	# delete unneeded files
	rm -r install-$(WINARCH)-$(GUI)/$(INSTSUB)
	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
	strip install-$(WINARCH)-$(GUI)/freeciv-m*
	# add start menu files
	cp freeciv-server.cmd freeciv-mp-$(FCMP).cmd freeciv-$(GUI).cmd Freeciv.url install-$(WINARCH)-$(GUI)/

install-freeciv-gtk3: install-freeciv-common

install-freeciv-gtk3.22: install-freeciv-common

install-freeciv-gtk2: install-freeciv-common

install-freeciv-sdl2: install-freeciv-common

install-freeciv-qt: install-freeciv-common
	# strip 'freeciv-ruledit' executable
	strip install-$(WINARCH)-$(GUI)/freeciv-ruledit.exe
	cp freeciv-ruledit.cmd install-$(WINARCH)-$(GUI)/

install-ruledit-dir:
	mkdir -p install-$(WINARCH)-ruledit/share

install-ruledit: install-ruledit-dir
	# make install
	make -C build-$(WINARCH)-ruledit DESTDIR=`pwd`/install-$(WINARCH)-ruledit/ $(MAKE_PARAMS) install
	# reorder directory layout
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/bin/* install-$(WINARCH)-ruledit/
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/share/freeciv install-$(WINARCH)-ruledit/data
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/share/locale install-$(WINARCH)-ruledit/share/
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/share/doc install-$(WINARCH)-ruledit/doc
	mkdir -p install-$(WINARCH)-ruledit/debuginfo
	cp build-$(WINARCH)-ruledit/gen_headers/fc_config.h install-$(WINARCH)-ruledit/debuginfo
	mkdir -p install-$(WINARCH)-ruledit/doc/freeciv/installer
	cp licenses/COPYING.installer install-$(WINARCH)-ruledit/doc/freeciv/installer/
	# delete unneeded files
	rm -r install-$(WINARCH)-ruledit/$(INSTSUB)
	# strip 'freeciv-ruledit' executable
	strip install-$(WINARCH)-ruledit/freeciv-ruledit.exe
	# add start menu files
	cp freeciv-ruledit.cmd Freeciv.url install-$(WINARCH)-ruledit/

# install Freeciv environment

SOUND_DLLS := \
	SDL2.dll \
	libSDL2_mixer-2-0-0.dll \
	libFLAC-8.dll \
	libfluidsynth-1.dll \
	libmad-0.dll \
	libmodplug-1.dll \
	libvorbis-0.dll \
	libvorbisenc-2.dll \
	libvorbisfile-3.dll \
	libogg-0.dll \
	libportaudio-2.dll \
	libsndfile-1.dll \
	libspeex-1.dll

COMMON_DLLS := \
	libstdc++-6.dll \
	libeay32.dll \
	ssleay32.dll \
	libidn-11.dll \
	libnghttp2-14.dll \
	librtmp-1.dll \
	libssh2-1.dll \
	libcurl-4.dll \
	libgmp-10.dll \
	libgnutls-30.dll \
	libhogweed-4.dll \
	libnettle-6.dll \
	libp11-kit-0.dll \
	libtasn1-6.dll \
	libatk-1.0-0.dll \
	libbz2-1.dll \
	libcairo-2.dll \
	libcairo-gobject-2.dll \
	libffi-6.dll \
	libfontconfig-1.dll \
	libfreetype-6.dll \
	$(LIBGCCDLL) \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libglib-2.0-0.dll \
	libgmodule-2.0-0.dll \
	libgobject-2.0-0.dll \
	libgthread-2.0-0.dll \
	libiconv-2.dll \
	libintl-8.dll \
	liblzma-5.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libpixman-1-0.dll \
	libpng16-16.dll \
	libxml2-2.dll \
	zlib1.dll \
	libwinpthread-1.dll \
	libsqlite3-0.dll \
	exchndl.dll \
	mgwhelp.dll \
	$(SOUND_DLLS)

install-env-common:
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(COMMON_DLLS)) install-$(WINARCH)-$(GUI)/

DEFAULT_FCMP_DLLS := \
	libgdk-3-0.dll \
	libgtk-3-0.dll \
	libexpat-1.dll \
	libharfbuzz-0.dll \
	libepoxy-0.dll \
	libgraphite2.dll \
	libpangoft2-1.0-0.dll \
	libpcre-1.dll \
	libunistring-2.dll \
	librsvg-2-2.dll \
	libcroco-0.6-3.dll

install-env-default-fcmp: install-env-common
	cp -R $(addprefix $(DLLPATH_PREFIX), $(DEFAULT_FCMP_DLLS)) install-$(WINARCH)-$(GUI)/
	# add additional GTK+3 files
	mkdir -p install-$(WINARCH)-$(GUI)/etc
	cp -R /$(ARCHDIR)/etc/gtk-3.0 install-$(WINARCH)-$(GUI)/etc/
	mkdir -p install-$(WINARCH)-$(GUI)/share/icons
	cp -R /$(ARCHDIR)/share/icons/Adwaita install-$(WINARCH)-$(GUI)/share/icons/
	mkdir -p install-$(WINARCH)-$(GUI)/share/glib-2.0/schemas
	cp /$(ARCHDIR)/share/glib-2.0/schemas/gschemas.compiled install-$(WINARCH)-$(GUI)/share/glib-2.0/schemas/
	mkdir -p install-$(WINARCH)-$(GUI)/lib/gtk-3.0/
	cp -R /$(ARCHDIR)/lib/gtk-3.0/* install-$(WINARCH)-$(GUI)/lib/gtk-3.0/
	mkdir -p install-$(WINARCH)-$(GUI)/lib/gdk-pixbuf-2.0/
	cp -R /$(ARCHDIR)/lib/gdk-pixbuf-2.0/* install-$(WINARCH)-$(GUI)/lib/gdk-pixbuf-2.0/
	cp -R /$(ARCHDIR)/share/locale install-$(WINARCH)-$(GUI)/share/
	find install-$(WINARCH)-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk30.mo -delete

install-env-gtk3: install-env-default-fcmp

install-env-gtk3.22: install-env-default-fcmp

GTK2_DLLS := \
	libgdk-win32-2.0-0.dll \
	libgtk-win32-2.0-0.dll \
	libexpat-1.dll \
	libharfbuzz-0.dll \
	libpangoft2-1.0-0.dll \
	libpcre-1.dll

install-env-gtk2: install-env-common
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(GTK2_DLLS)) install-$(WINARCH)-$(GUI)/
	# add additional GTK+2 files
	mkdir -p install-$(WINARCH)-$(GUI)/etc
	cp -R /$(ARCHDIR)/etc/gtk-2.0 install-$(WINARCH)-$(GUI)/etc/
	mkdir -p install-$(WINARCH)-$(GUI)/lib/gtk-2.0/
	cp -R /$(ARCHDIR)/lib/gtk-2.0/2.10.0 install-$(WINARCH)-$(GUI)/lib/gtk-2.0/
	cp -R /$(ARCHDIR)/share/locale install-$(WINARCH)-$(GUI)/share/
	find install-$(WINARCH)-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk20.mo -delete

SDL2_DLLS := \
	libSDL2_gfx-1-0-0.dll \
	SDL2_image.dll \
	SDL2_ttf.dll \
	libjpeg-8.dll \
	libtiff-5.dll \
	libwebp-7.dll

install-env-sdl2: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(SDL2_DLLS)) install-$(WINARCH)-$(GUI)/

QT_DLLS := \
	libicuin58.dll \
	libicuuc58.dll \
	libicudt58.dll \
	libpcre16-0.dll \
	libharfbuzz-0.dll \
	libsqlite3-0.dll \
	Qt5Core.dll \
	Qt5Gui.dll \
	Qt5Widgets.dll \
	libgraphite2.dll \
	libpcre-1.dll \
	libunistring-2.dll

install-env-qt: install-env-common
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(QT_DLLS)) install-$(WINARCH)-$(GUI)/
	# add additional Qt files
	cp -R /$(ARCHDIR)/share/qt5/plugins install-$(WINARCH)-$(GUI)/
	cp -R /$(ARCHDIR)/share/locale install-$(WINARCH)-$(GUI)/share/
	find install-$(WINARCH)-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -delete

RULEDIT_DLLS := \
        libstdc++-6.dll \
	libeay32.dll \
	ssleay32.dll \
	libidn-11.dll \
	libnghttp2-14.dll \
	librtmp-1.dll \
	libssh2-1.dll \
	libcurl-4.dll \
	libgmp-10.dll \
	libgnutls-30.dll \
	libhogweed-4.dll \
	libnettle-6.dll \
	libp11-kit-0.dll \
	libtasn1-6.dll \
	libatk-1.0-0.dll \
	libbz2-1.dll \
	libcairo-2.dll \
	libcairo-gobject-2.dll \
	libffi-6.dll \
	libfontconfig-1.dll \
	libfreetype-6.dll \
	$(LIBGCCDLL) \
	libglib-2.0-0.dll \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libiconv-2.dll \
	libintl-8.dll \
	liblzma-5.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libpixman-1-0.dll \
	libpng16-16.dll \
	libxml2-2.dll \
	zlib1.dll \
	libwinpthread-1.dll \
	libgraphite2.dll \
	libpcre-1.dll

install-env-ruledit:
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(RULEDIT_DLLS)) install-$(WINARCH)-ruledit/
	cp -R $(addprefix $(DLLPATH_PREFIX), $(QT_DLLS)) install-$(WINARCH)-ruledit/
	# add additional Qt files
	cp -R /$(ARCHDIR)/share/qt5/plugins install-$(WINARCH)-ruledit/
	cp -R /usr/share/locale install-$(WINARCH)-ruledit/share/
	find install-$(WINARCH)-ruledit/share/locale -type f -not -name "freeciv-ruledit.mo" -delete

# build installer

installer-common: clean-install-common install-freeciv-$(GUI) install-env-$(GUI)
	# extract Freeciv version
	$(eval FREECIV_VERSION := $(shell ../../fc_version))
	# create NSIS script
	./create-freeciv-$(GUI)-nsi.sh install-$(WINARCH)-$(GUI) $(FREECIV_VERSION) $(WINARCH) > Freeciv-$(WINARCH)-$(FREECIV_VERSION)-$(GUI).nsi
	# create installer executable
	mkdir -p Output
	makensis Freeciv-$(WINARCH)-$(FREECIV_VERSION)-$(GUI).nsi

installer-ruledit: clean-install-ruledit install-ruledit install-env-ruledit
	# extract Freeciv version
	$(eval FREECIV_VERSION := $(shell ../../fc_version))

=== debian/changelog ===
freeciv (2.6.0-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.4.0.
  * Remove get-orig-source target.
  * Add sdl2-client-crash.patch and fix a crash when entering the game using
    the SDL2 client. Thanks to Marko Lindqvist for the report.
    (Closes: #931415)

 -- Markus Koschany <apo@debian.org>  Sun, 21 Jul 2019 04:39:13 +0200

freeciv (2.6.0-2) unstable; urgency=medium

  * Update themes_sdl_use_system_fonts.patch and support the gui-sdl2 theme too.
    Thanks to Lars Kruse for the report. (Closes: #923563)
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Mar 2019 14:26:27 +0100

freeciv (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0.
    - Freeciv now supports changing the limits in the citizen manager. This is
      client-specific but the GTK 3 client is the new default.
      (Closes: #659644)
    - Freeciv will remember the last connected server to. The option is
      disabled by default though. (Closes: #410558)
  * Declare compliance with Debian Policy 4.1.5.
  * freeciv metapackage: The recommended client is GTK 3 now.
  * d/rules: Remove --enable-sys-lua option because this one is the default now.
  * Switch from SDL1 to SDL2 build-dependencies. All clients use SDL2 now.
  * Use new --disable-freeciv-manual option.
  * Add freeciv-client-gtk2-appdata.patch and fix incorrect appdata file.

 -- Markus Koschany <apo@debian.org>  Mon, 30 Jul 2018 08:05:46 +0200

freeciv (2.5.11-1) unstable; urgency=medium

  * New upstream version 2.5.11.

 -- Markus Koschany <apo@debian.org>  Mon, 26 Mar 2018 18:50:41 +0200

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jordi Mallach <jordi@debian.org>,
 Clint Adams <clint@debian.org>,
 Karl Goetz <karl@kgoetz.id.au>,
 Markus Koschany <apo@debian.org>
Standards-Version: 4.4.0
Homepage: http://www.freeciv.org/
Vcs-Git: https://salsa.debian.org/games-team/freeciv.git
Vcs-Browser: https://salsa.debian.org/games-team/freeciv
Build-Depends:
 debhelper-compat (= 12),
 gettext,
 gnulib,
 libbz2-dev,
 libcurl4-gnutls-dev,
 libgtk-3-dev,
 libgtk2.0-dev,
 liblua5.2-dev,
 liblzma-dev,
 libreadline-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-ttf-dev,
 libsdl2-mixer-dev,
 libsdl2-gfx-dev,
 libsqlite3-dev,
 libtolua-dev,
 python-minimal,
 qtbase5-dev,
 qtbase5-dev-tools,
 zlib1g-dev

Package: freeciv
Architecture: all
Multi-Arch: foreign
Depends:
 freeciv-client-gtk3,
 freeciv-data (= ${source:Version}),
 ${misc:Depends}
Description: Civilization turn based strategy game
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This metapackage will install the recommended client to play Freeciv.

Package: freeciv-client-extras
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (miscellaneous extras)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This package includes Freeciv's modpack tool freeciv-mp-gtk3. It allows you to
 select and download custom rulesets and tilesets for the game.

Package: freeciv-client-gtk
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 gtk2-engines-pixbuf,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (GTK+ client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK 2 version of Freeciv. It is recommended to install the
 »freeciv-client-gtk3« package and to use the GTK 3 client unless you really
 want to try this one.

Package: freeciv-client-gtk3
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (GTK 3 client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK 3 version of Freeciv. It is the most sophisticated and
 recommended client to play the game.

Package: freeciv-client-qt
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (Qt client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Qt version of Freeciv.

Package: freeciv-client-sdl
Architecture: any
Depends:
 fonts-arphic-uming,
 fonts-dejavu-core,
 fonts-ipafont-gothic,
 fonts-unfonts-core,
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This version of Freeciv is based on SDL, the Simple DirectMedia Layer library.
 It is recommended to install the »freeciv-client-gtk3« package and to use the
 GTK 3 client unless you really want to try this one. The SDL client offers a
 different look&feel but lacks some functionality of the GTK 3 client.

Package: freeciv-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Civilization turn based strategy game (data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

Package: freeciv-server
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 freeciv
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-sound-standard
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Civilization turn based strategy game (standard sound pack)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the standard sound pack for Freeciv. It provides Freeciv clients
 with a set of sounds for different events and actions in the game.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Export all hardening build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Avoid useless dependencies
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--cache-file=$(CURDIR)/config.cache \
		--sysconfdir=/etc \
		--prefix=/usr \
		--datadir=\$${prefix}/share/games \
		--bindir=\$${prefix}/games \
		--enable-debug=no \
		--enable-client=gtk2,gtk3,sdl2,qt \
		--enable-fcmp=gtk3 \
		--with-ggz-server=no \
		--with-ggz-client=no \
		--enable-ipv6=yes \
		--disable-silent-rules \
		--enable-fcdb=sqlite3 \
		--disable-freeciv-manual \
		--with-missinglist

override_dh_install:
	# Delete man pages which are unneeded.
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk3.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk3.22.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-sdl2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-sdl.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-qt.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-xaw.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-manual.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-cli.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-gtk2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-qt.6
	# Debian doesn't want .la files.
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# Should these have been installed here at all?
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	# Remove docs in debian/tmp/usr/share/doc/freeciv/
	rm -f debian/tmp/usr/share/doc/freeciv/*
	# Continue install
	dh_install
	dh_missing --list-missing
	# Remove sounds from -data
	rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*
	# Remove ttf fonts from -data, now provided by dependencies.
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/*.ttf
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl2/human/*.ttf
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/COPYING.*
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl2/human/COPYING.*

override_dh_installdocs:
	# Don't install Makefiles, INSTALL files and man pages with dh_installdocs.
	dh_installdocs --exclude="Makefile" --exclude="INSTALL" --exclude="man"

override_dh_link:
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's in dh_link
	-rm -rf debian/freeciv-server/usr/share/doc/freeciv-server
	-rm -rf debian/freeciv/usr/share/doc/freeciv
	-rm -rf debian/freeciv-client-gtk/usr/share/doc/freeciv-client-gtk
	-rm -rf debian/freeciv-client-gtk3/usr/share/doc/freeciv-client-gtk3
	-rm -rf debian/freeciv-client-qt/usr/share/doc/freeciv-client-qt
	-rm -rf debian/freeciv-client-sdl/usr/share/doc/freeciv-client-sdl
	-rm -rf debian/freeciv-client-extras/usr/share/doc/freeciv-client-extras
	# After deleting we can link correctly
	dh_link

override_dh_clean:
	dh_clean
	find . -name '*.o' -delete
	find . -name '.libs' -delete
	find . -name '.dists' -delete

## freeciv 2.6.1

=== debian/changelog ===
freeciv (2.6.1-1) unstable; urgency=medium

  [ Stephen Kitt ]
  * Use the Gtk 3.22+ client in the -gtk3 package. (Closes: #946613).

  [ Markus Koschany ]
  * New upstream version 2.6.1.
  * Drop freeciv-client-gtk2-appdata.patch and sdl2-client-crash.patch.
    Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Thu, 19 Dec 2019 23:53:12 +0100

freeciv (2.6.0-4) unstable; urgency=medium

  [ Changwoo Ryu ]
  * freeciv-client-sdl: Use Noto Sans CJK as Korean font.
    Use Noto Sans CJK in fonts-noto-cjk, instead of UnDotum in
    fonts-unfonts-core. (Closes: #934588)

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.4.1.
  * Remove python-minimal from B-D. (Closes: #936553)

 -- Markus Koschany <apo@debian.org>  Wed, 09 Oct 2019 21:21:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
  Markus Koschany <apo@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://www.freeciv.org/
 Vcs-Git: https://salsa.debian.org/games-team/freeciv.git
 Vcs-Browser: https://salsa.debian.org/games-team/freeciv
@@ -17,7 +17,7 @@
  gnulib,
  libbz2-dev,
  libcurl4-gnutls-dev,
- libgtk-3-dev,
+ libgtk-3-dev (>= 3.22),
  libgtk2.0-dev,
  liblua5.2-dev,
  liblzma-dev,
@@ -29,7 +29,6 @@
  libsdl2-gfx-dev,
  libsqlite3-dev,
  libtolua-dev,
- python-minimal,
  qtbase5-dev,
  qtbase5-dev-tools,
  zlib1g-dev
@@ -134,7 +133,7 @@
  fonts-arphic-uming,
  fonts-dejavu-core,
  fonts-ipafont-gothic,
- fonts-unfonts-core,
+ fonts-noto-cjk,
  freeciv-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 		--datadir=\$${prefix}/share/games \
 		--bindir=\$${prefix}/games \
 		--enable-debug=no \
-		--enable-client=gtk2,gtk3,sdl2,qt \
+		--enable-client=gtk2,gtk3.22,sdl2,qt \
 		--enable-fcmp=gtk3 \
 		--with-ggz-server=no \
 		--with-ggz-client=no \

## freeciv 2.6.2

=== win32/installer_msys2/Makefile ===
--- 
+++ 
@@ -33,17 +33,8 @@
 # Make rules
 #
 
-# by default build all installers that are buildable with current msys2 environment
-# gtk2-installer is not built.
-all: gtk3-installer sdl2-installer ruledit-installer qt-installer gtk3.22-installer
-
-# These are what can be built in current official environment version
-buildable-win32: gtk3-installer sdl2-installer ruledit-installer qt-installer gtk3.22-installer
-
-buildable-win64: gtk3-installer sdl2-installer ruledit-installer qt-installer gtk3.22-installer
-
-# See comments on 'snapshot' target why this wrapping is needed
-buildable: buildable-$(WINARCH)
+# gtk2-installer and gtk3-installer are not built by default
+all: sdl2-installer ruledit-installer qt-installer gtk3.22-installer
 
 gtk3-installer:
 	make GUI=gtk3 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk3
@@ -65,11 +56,10 @@
 
 # Autogen.sh here will make ./win_arch.sh to work.
 # The $(WINACRH) value we got for this run is not good. The new run
-# launched from this target will pick correct value, and can make 'buildable' target
-# to depend on correct arch version.
+# launched from this target will pick correct value.
 snapshot:
 	cd ../.. ; ./autogen.sh --no-configure-run
-	make VERSION_REVTYPE="git" EXTRA_CONFIG="--enable-gitrev" buildable
+	make VERSION_REVTYPE="git" EXTRA_CONFIG="--enable-gitrev" all
 
 
 # build Freeciv
@@ -78,7 +68,7 @@
 	# create build directory
 	mkdir -p build-$(WINARCH)-$(GUI)
 	# configure
-	cd build-$(WINARCH)-$(GUI); ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --enable-client=$(GUI) --with-followtag="win32" --without-readline --enable-fcdb=sqlite3 --with-sqlite3-prefix=/$(ARCHDIR) --enable-fcmp=$(FCMP) $(EXTRA_CONFIG)
+	cd build-$(WINARCH)-$(GUI); ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --enable-client=$(GUI) --with-followtag="win32" --without-readline --enable-fcdb=sqlite3 --with-sqlite3-prefix=/$(ARCHDIR) --enable-fcmp=$(FCMP) --with-cacert-path="./ssl/certs/ca-bundle.crt" $(EXTRA_CONFIG)
 	# make
 	make -C build-$(WINARCH)-$(GUI) $(MAKE_PARAMS)
 	make -C build-$(WINARCH)-$(GUI)/translations/freeciv update-po
@@ -88,7 +78,7 @@
 	# create build directory
 	mkdir -p build-$(WINARCH)-ruledit
 	# configure
-	cd build-$(WINARCH)-ruledit; ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --disable-client --disable-server --disable-fcmp --disable-freeciv-manual --enable-ruledit --with-qt5-includes=/$(ARCHDIR)/include --with-qt5-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)
+	cd build-$(WINARCH)-ruledit; ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --disable-client --disable-server --disable-fcmp --disable-freeciv-manual --enable-ruledit --enable-ai-static=stub --with-cacert-path="./ssl/certs/ca-bundle.crt" --with-qt5-includes=/$(ARCHDIR)/include --with-qt5-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)
 	# make
 	make -C build-$(WINARCH)-ruledit $(MAKE_PARAMS)
 	make -C build-$(WINARCH)-ruledit/translations/ruledit update-po
@@ -225,6 +215,8 @@
 install-env-common:
 	# add DLLs
 	cp -R $(addprefix $(DLLPATH_PREFIX), $(COMMON_DLLS)) install-$(WINARCH)-$(GUI)/
+	mkdir -p install-$(WINARCH)-$(GUI)/ssl/certs
+	cp -R /$(ARCHDIR)/ssl/certs/ca-bundle.crt install-$(WINARCH)-$(GUI)/ssl/certs/
 
 DEFAULT_FCMP_DLLS := \
 	libgdk-3-0.dll \
@@ -375,3 +367,9 @@
 installer-ruledit: clean-install-ruledit install-ruledit install-env-ruledit
 	# extract Freeciv version
 	$(eval FREECIV_VERSION := $(shell ../../fc_version))
+	# create NSIS script
+	./create-freeciv-ruledit-nsi.sh install-$(WINARCH)-ruledit $(FREECIV_VERSION) $(WINARCH) > Freeciv-$(WINARCH)-$(FREECIV_VERSION)-ruledit.nsi
+	# create installer executable
+	mkdir -p Output
+	makensis Freeciv-$(WINARCH)-$(FREECIV_VERSION)-ruledit.nsi
+

=== debian/changelog ===
freeciv (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sun, 16 Feb 2020 19:34:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
  Markus Koschany <apo@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.freeciv.org/
 Vcs-Git: https://salsa.debian.org/games-team/freeciv.git
 Vcs-Browser: https://salsa.debian.org/games-team/freeciv

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,6 @@
 		--enable-debug=no \
 		--enable-client=gtk2,gtk3.22,sdl2,qt \
 		--enable-fcmp=gtk3 \
-		--with-ggz-server=no \
-		--with-ggz-client=no \
 		--enable-ipv6=yes \
 		--disable-silent-rules \
 		--enable-fcdb=sqlite3 \

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a|graphics-materials)[\-\.]?\d*)$/$1~$2/,\
 http://files.freeciv.org/stable/freeciv-(\d.*)\.(?:tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## freeciv 2.6.3

=== win32/installer_msys2/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	make wrap-ruledit
 
 # Autogen.sh here will make ./win_arch.sh to work.
-# The $(WINACRH) value we got for this run is not good. The new run
+# The $(WINARCH) value we got for this run is not good. The new run
 # launched from this target will pick correct value.
 snapshot:
 	cd ../.. ; ./autogen.sh --no-configure-run

=== debian/changelog ===
freeciv (2.6.3-1) unstable; urgency=medium

  * New upstream version 2.6.3
    - Fix server buffer overflow when reading tailored score log.
      (Closes: #978745)
    - Fix Freeciv gtk-clients' crash on (tailored) chat message.
      (Closes: #978744)

 -- Markus Koschany <apo@debian.org>  Fri, 01 Jan 2021 21:46:14 +0100

freeciv (2.6.2.1-2) unstable; urgency=medium

  * Fix freeciv launch script and update the path to the freeciv executable.
    Thanks to Helge Kreutzmann for the report and patch. (Closes: #976834)

 -- Markus Koschany <apo@debian.org>  Tue, 08 Dec 2020 13:53:42 +0100

freeciv (2.6.2.1-1) unstable; urgency=medium

  * New upstream version 2.6.2.1.
    - Fix FTBFS in Qt client of freeciv. (Closes: #975148)
  * Declare compliance with Debian Policy 4.5.1.
  * Switch to debhelper-compat = 13.
  * Remove -Wl,--as-needed flags because it is the default now.

 -- Markus Koschany <apo@debian.org>  Sat, 28 Nov 2020 01:28:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
  Markus Koschany <apo@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://www.freeciv.org/
 Vcs-Git: https://salsa.debian.org/games-team/freeciv.git
 Vcs-Browser: https://salsa.debian.org/games-team/freeciv
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gettext,
  gnulib,
  libbz2-dev,

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,13 @@
 # Export all hardening build flags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# Avoid useless dependencies
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	dh $@
+
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -51,7 +51,6 @@
 	rm -f debian/tmp/usr/share/doc/freeciv/*
 	# Continue install
 	dh_install
-	dh_missing --list-missing
 	# Remove sounds from -data
 	rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*
 	# Remove ttf fonts from -data, now provided by dependencies.
